unit IntfUnit;

interface

type
  ICompare = interface
    ['{DDFE0840-E8FB-11D2-9085-0040F6741DE2}']
    function CompareWith(ACompare: ICompare; ASortBy: Integer): Integer;
  end;

procedure SortArray(var A: Array of IUnknown; ASortBy: Integer);

implementation

procedure SortArray(var A: Array of IUnknown;
  ASortBy: Integer);
var
  I, J: Integer;
  Temp: IUnknown;
begin
  for I := Low(A) to High(A) - 1 do begin
    for J := I + 1 to High(A) do begin
      if (A[J] as ICompare).CompareWith(A[I] as ICompare, ASortBy) < 0 then begin
        Temp := A[I];
        A[I] := A[J];
        A[J] := Temp;
      end;
    end;
  end;
end;

end.

